#!/bin/perl
# (perl might be somewhere else)
print "$#ARGV\n";
if ( $#ARGV < 1 ) {
    print "usage $0: <regular expression> <filename>\n";
    exit 1;
}
$regexp = $ARGV[0];
$filename = $ARGV[1];
print "regexp is $regexp and filename is $filename\n";
open(FH, $filename);
while(<FH>) {
    $line = $_;
    if ( $line =~ /($regexp)/ ) {
        # matches
        #print $line;
		print "$`$1$'";
    } else {
        # matches not
    }
}
close(FH);
